* {
    box-sizing: border-box;
    margin: 0;
}

html {
    font-size: 62%;
}

body {
    min-height: 100vh;
    font-family: 'Montserrat', sans-serif;
    padding: 3.2em;
    font-size: 1.8rem;
    background-color: darkslategrey;
    color: lightgray;
}

/*Css animation: Loader
Link: https://www.w3schools.com/howto/howto_css_loader.asp*/
.loader {
    margin-top: 5px;
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 5px;
    height: 5px;
    animation: spin 2s linear infinite;
}
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.sunny {
    background-color: #F7E9B9;
    color: #2A5510;
}

.cloudy {
    background-color: #F4F7F8;
    color: #F47775;
}

.rainy {
    background-color: #A3DEF7;
    color: #164A68;
}

.container-header {
    margin-bottom: 3.8rem;
}

.container-header p {
    margin-bottom: 0.2em;
}

.container-text {
    display: flex;
    flex-direction: column;
}

.container-text img {
    width: 25%;
    max-width: 200px;
}

h1 {
    font-size: 3rem;
    margin-block: 0.5em;
}

.container-date ul {
    list-style-type: none;
    padding-left: 0;
}

.container-date ul li {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px dashed;
    padding: 0.6em;
}

/***Media queries***/

@media (min-width: 668px){
 
    body {
        font-size: 2.6rem;
        padding: 4rem;
    }

    h1 {
        font-size: 5rem;
        max-width: 30ch;
    }

    .container-date ul li {
        max-width: 60ch;
    }

}
